<?php

class widgetContentGroupImage extends cmsWidget {
	
    public function run() {
		
		$this->is_title = false;
		
		$this->setWrapper('wrapper_plain');
		
		$uri = ltrim($_SERVER['REQUEST_URI'], '/');
		
        if(preg_match('/^groups\/([0-9]+)/', $uri, $uri_res)) {
			
			$group_id = $uri_res[1];
			
		} else {
			
			if(stripos($uri, '.html') === false) {
				
				return false;
				
			}
			
			if(stripos($uri, '/')) {
				
				$ctype_name = strstr($uri, '/', true);
				
				$slug = strstr(ltrim(strstr($uri, '/'), '/'), '.html', true);
				
			} else {
				
				$ctype_name = cmsConfig::get('ctype_default');
				
				$slug = strstr($uri, '.html', true);
				
			}
			
			$model = cmsCore::getModel('content');
			
			$ctype = $model->getContentType($ctype_name, 'name');
			
			if(!$ctype['is_in_groups']) {
				
				return false;
				
			}
			
			$item = $model->getContentItem($ctype_name, $slug, 'slug');
			
			if($item['parent_type'] != 'group' || !$item['parent_id']) {
				
				return false;
				
			}
			
			$group_id = $item['parent_id'];
			
		}
		
		$group = cmsCore::getModel('groups')->getGroup($group_id);
		
		if(!$group) {
			
			return false;
			
		}
		
		if(!$group['logo']) {
			
			return false;
			
		}
		
		$group['logo'] = cmsModel::yamlToArray($group['logo']);
		
		$upload_root = cmsConfig::get('upload_root');
		
        return array(
            'group' => $group,
            'selector' => $this->options['selector'],
            'upload_root' => $upload_root,
        );
		
    }
	
}
